#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.1.2
visibility:           public
id:                   persistent-test-2.13.1.2-5KnxFnZ5X60Kn2RHvskEJ4
key:                  persistent-test-2.13.1.2-5KnxFnZ5X60Kn2RHvskEJ4
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  d86168b009f655dc466fea820c6f6ac7
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.2-5KnxFnZ5X60Kn2RHvskEJ4
depends:
    HUnit-1.6.2.0-C1iPOmv2pdMIa65hP6dNHl
    QuickCheck-2.14.3-J3AKkTTuMKvLLVvLPpaBpZ
    aeson-2.1.2.1-5RDZhERJnAA4H89g4WTdzv base-4.15.1.0
    blaze-html-0.9.1.2-JT9mn2hMnf595zFx9EvPoy bytestring-0.10.12.1
    conduit-1.3.5-1kUbnCN2jYMCu6cNmgq0Yv containers-0.6.4.1
    exceptions-0.10.4 hspec-2.10.9-CUi3NQqf8h4JcJJEW33VpF
    hspec-expectations-0.8.3-GtEFyAkIxMfL6yE5lKnMix
    http-api-data-0.5.1-4awZlARjNckKHw5vCup7y8
    monad-control-1.0.3.1-3ihNIV2Iadx7wOfHoTqo9v
    monad-logger-0.3.40-Gh5ekBF1dim7Vjsacq57Y5 mtl-2.2.2
    path-pieces-0.2.1-H7eklAHLAbQDmNQh33Z06o
    persistent-2.13.3.5-7nN0N72e8QhHbU4PcO0ypx
    quickcheck-instances-0.3.30-29nJlxX9JJ4E1pedkLJJtQ
    random-1.2.1.1-CHgxDo7s3JxE3u6VanaU7G
    resourcet-1.2.6-KzhhGbc2LJh9t6dKWJx3j4 text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-1V6Py33vgyQFYFoH8F2DzP
    unliftio-0.2.25.0-4FL0Zl5Cc6Y4cVVDaEjpL7
    unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.20-F7LW31p7u1B2dWjdgteKaR

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

